/* ---------------------------------
1. IMPORTACIÓN DE FUENTES
--------------------------------- */
@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Barlow:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');


/* ---------------------------------
2. VARIABLES GLOBALES
--------------------------------- */
:root {
	--primary: #F2FE6D;
	--secondary: #23EAFF;
	--background: black;
	--gray-1: #D4D4D4;
	--gray-2: #D7D7D7;
	--gray-3: #7A7B82;
	--gray-4: #282828;
	--gray-5: #111111;
	--wcm: #1FFF7F;
}


/* ---------------------------------
3. ESTILOS GENERALES
--------------------------------- */


html {
	font-size: 100%;
	width: 100%;
	overflow-x: hidden;
	margin: 0;
	padding: 0;
	touch-action: manipulation;
	background-color: var(--background);
}

body {
	font-size: 16px;
	font-family: "Montserrat", sans-serif;
	width: 100%;
	margin: 0;
	font-weight: 400;
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
	word-wrap: break-word;
	overflow-x: hidden;
	color: white;
	background-color: var(--background);
}


/* ---------------------------------
4. RESET DE ELEMENTOS
--------------------------------- */
h1,
h2,
h3,
h4,
h5,
h6,
p,
a,
ul,
span,
li,
img,
input,
button {
	margin: 0;
	padding: 0;
}

*,
*::before,
*::after {
	box-sizing: inherit;
	-webkit-box-sizing: inherit;
}


/* ---------------------------------
5. TIPOGRAFÍA Y TEXTOS
--------------------------------- */
h1 {
	font-family: "Montserrat", sans-serif;
	font-size: 3.5em;
	line-height: 1;
}

h2 {
	font-family: "Montserrat", sans-serif;
	font-size: 3em;
	line-height: 1.1;
}

h3 {
	font-family: "Montserrat", sans-serif;
	font-size: 2.5em;
	line-height: 1.5;
}

h4 {
	font-family: "Barlow", sans-serif;
	font-size: 1.5em;
	line-height: 1.5;
}

h5 {
	font-family: "Barlow", sans-serif;
	font-size: 1.2em;
	line-height: 1.5;
}

h6 {
	font-family: "Barlow", sans-serif;
	font-size: 0.9em;
	line-height: 1.5;
	letter-spacing: 1px;
}

p {
	font-family: "Barlow", sans-serif;
	line-height: 1.6;
	font-size: 1.05em;
	font-weight: 400;
	color: var(--gray-3);
}

a,
button {
	font-family: "Barlow", sans-serif;
	display: inline-block;
	text-decoration: none;
	color: inherit;
	transition: all 0.3s;
	line-height: 1;
}

a:focus,
a:active,
a:hover,
button:focus,
button:active,
button:hover,
a b.light-color:hover {
	text-decoration: none;
	color: white;
}

b {
	font-weight: 700;
}

b.light-color {
	color: var(--gray-3);
}


/* ---------------------------------
6. ELEMENTOS BÁSICOS
--------------------------------- */
img {
	width: 100%;
}

li {
	list-style: none;
	display: inline-block;
}

span {
	display: inline-block;
}

button {
	outline: 0;
	border: 0;
	background: none;
	cursor: pointer;
}


/* ---------------------------------
7. ICONOS
--------------------------------- */
.icon {
	font-size: 1.1em;
	display: inline-block;
	line-height: inherit;
}

[class^="icon-"]:before,
[class*=" icon-"]:before {
	line-height: inherit;
}


/* ---------------------------------
8. UTILIDADES
--------------------------------- */
.center-text {
	text-align: center;
}

.display-table {
	display: flex;
	justify-content: end;
	align-items: center;
	min-height: 100dvh;
	width: 100%;
	padding: 0px 150px;
	box-sizing: border-box;
}

.full-height {
	height: 100%;
}

.position-static {
	position: static;
}

.font-white {
	color: white;
}


/* ---------------------------------
9. PLACEHOLDER INPUTS
--------------------------------- */
::-webkit-input-placeholder,
::-moz-placeholder,
:-ms-input-placeholder,
:-moz-placeholder {
	font-size: 0.9em;
	letter-spacing: 1px;
}


/* ---------------------------------
10. SECCIÓN PRINCIPAL
--------------------------------- */
.main-area {
	position: relative;
	min-height: 100dvh;
	z-index: 1;
	padding: 0 20px;
	background-size: cover;
	color: var(--background);
}

.main-area:after {
	content: '';
	position: absolute;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	z-index: -1;
}

.main-area .desc {
	margin: 20px auto;
	max-width: 500px;
}

.main-area .social-btn {
	position: absolute;
	bottom: 40px;
	width: 100%;
	left: 50%;
	transform: translateX(-50%);
}

.main-area .social-btn>li>a {
	margin: 0 10px;
	position: relative;
	overflow: hidden;
}

.main-area .social-btn>li>a:after {
	content: '';
	position: absolute;
	bottom: 0;
	left: 0;
	right: 0;
	transition: all 0.2s;
	height: 1px;
	background-color: white;
}

.main-area .social-btn>li>a:hover:after {
	transform: translateX(-100%);
}

/* ---------------------------------
11. CUSTOM CANDELA MOLERO
--------------------------------- */
*{
	cursor: url("/images/cursors/cursorGlobal2.png") 0 0, auto;
} 

.subtitle, .titleForm {
	font-family: "Montserrat", sans-serif;
	font-weight: 700;
	color: var(--secondary);
}

.titleForm {
	background: linear-gradient(45deg, white, var(--secondary));
	-webkit-background-clip: text;
	-webkit-text-fill-color: transparent;
	background-clip: text;
}


.btnPrimary, .btnSecondary, .btnTertiary {
	padding: 10px 20px;
	font-weight: 500;
	cursor: url("/images/cursors/cursorGlobal2.png") 0 0, auto;
}

.btnPrimary {
		color: var(--background);
		background-color: var(--primary);
		border: var(--primary) 2px solid;
		transition: background-color 0.4s, color 0.4s;

		&:hover {
			background-color: var(--gray-1);
			border-color: var(--gray-1);
			color: var(--background);
		}
	}

.btnSecondary {
		color: var(--gray-1);
		border: var(--gray-1) 2px solid;
		background-color: var(--background);
		transition: background-color 0.4s, color 0.4s;

		&:hover {
			background-color: var(--gray-1);
			border-color: var(--gray-1);
			color: var(--background);
		}
	}

.btnTertiary {
		color: var(--background);
		background-color: var(--secondary);
		border: var(--secondary) 2px solid;
		transition: background-color 0.4s, color 0.4s;

		&:hover {
			background-color: var(--gray-1);
			border-color: var(--gray-1);
			color: var(--background);
		}
	}

.bgBanner {
	height: 100dvh;
	background-image: url(../images/bgBanner.svg);
	background-size: cover;
	background-position: center center;
	background-color: var(--background);
}

.titleBanner {
	font-family: "Montserrat", sans-serif;
	font-size: 100px;
	color: white;
	text-align: left;
	font-weight: 900;
	line-height: 90px;
	text-transform: uppercase;
}

.gridTraining {
	display: grid;
	grid-template-columns: repeat(auto-fit, minmax(220px, 1fr));
	gap: 5px;
	align-items: start;
	margin: 60px 30px 60px 30px;
}

.trainingDivisor {
	border-top: 3px solid var(--gray-4);
	width: 95%;
	margin: 0 auto;
}

.titleTraining {
	text-align: left;
	margin: auto 60px;
	padding: 0px 30px 0px 0px;
	text-transform: uppercase;
}

.cardTraining {
	width: 220px;
	height: 150px;
	box-sizing: border-box;
}

.trainingTarget {
	background-color: white;
	width: fit-content;
	color: var(--background);
	display: block;
	padding: 5px 10px;
	margin: 0 0 25px 0;
	box-sizing: border-box;
}

.iconPartners {
	width: 60px;
	margin-right: 20px;
}

.cardPartner {
	background-color: var(--gray-5);
	padding: 20px;
	margin: 0 0 20px 0;
	box-sizing: border-box;
}

.objetive {
	background-color: white;
	color: var(--background);
}

.bgRoadTo {
	height: 60dvh;
	background-image: url(../images/bgRoadTo.svg);
	background-size: cover;
	background-position: center center;
	background-color: var(--background);
}

input, textarea {
	width: 100%;
	background-color: var(--background);
	color: white;
	padding: 12px 12px 3px 12px;
	margin: 25px;
	outline: none;
	border-top: none;
	border-left: none;
	border-right: none;
	border-bottom: 1px solid var(--gray-3);
	box-sizing: border-box;
}

textarea {
	margin: 25px 0px 25px 0px;
	box-sizing: border-box;
}

.sponsors {
	width: 175px;
}

.wcm {
	color: var(--wcm);
}

[type=button]:not(:disabled), [type=reset]:not(:disabled), [type=submit]:not(:disabled), button:not(:disabled) {
    cursor: url("/images/cursors/cursorGlobal2.png") 0 0, auto;
}

/* ---------------------------------
12. MAINTENANCE CANDELA MOLERO
--------------------------------- */

.content-left {
	text-align: left;
	justify-content: start;
}

.content-left>li {
	margin-right: 40px;
}

.icons {
	width: 15px;
	margin-right: 10px;
}

.titleCande {
	font-family: "Montserrat", sans-serif;
	font-size: 150px;
	background: linear-gradient(45deg, var(--secondary), var(--primary));
	-webkit-background-clip: text;
	-webkit-text-fill-color: transparent;
	background-clip: text;
	text-align: left;
	font-style: normal;
	font-weight: 900;
	line-height: normal;
	text-transform: uppercase;
}

.bgCande {
	background-image: url(../images/bgCande.svg);
	background-position: center center;
	background-color: var(--background);
}

.main-area .sponsors-btn {
	position: absolute;
	bottom: 40px;
	width: 30%;
	left: 50%;
	transform: translateX(-50%);
}